/* background */
body {
  margin: 0;
  font-family: "Times New Roman", Times, serif; /* replace this with any font of your choosing */
  background-size: cover;
  /* background-image: url('https://abandonedknowledge.neocities.org/10423.jpg'); */
  background-position: center; /* this removes the top bit of the frame so that it doesn't look uncentered! */
  background-color: black; /* i still like to use a background color even with image backgrounds since they sometimes take a moment to load */
  color: white; /* this is the color of the text */
}

body a {
  color: #b5b0c6; /* you can change this to whichever color you'd like your links to be! */
}

/* main container (the one containing all the smaller containers) */
#container { /* you can't actually see this container it's just there for the sake of positioning everything within it */
  max-width: 80%;
  margin: 20px auto;
  background-color: transparent;
  overflow: hidden;
}

/* header */
.header {
  width: auto;
  margin-bottom: 20px;
  padding: 10px;
  background-color: #291534;
	border: 1px solid #b5b0c6;
	text-align: center;
  font-size: 70px;
}

.column {
  padding: 10px;
  background-color: #291534;
  border: 1px solid #b5b0c6;
}

.row {
  display: flex;
}

/* navbar */
.navigation {
  height: auto;
  padding: 10px;
  width: 20%;
  text-align: center;
}

ul {
  width: auto;
  margin: 0;
  padding: 0;
  background-color: #291534;
  list-style-type: none;
}

li a {
  border: 1px solid #b5b0c6;
  display: grid;
  padding: 25px;
  text-decoration: none;
  color: white;
}

li a:hover {
  background-color: black;
}

hr {
  margin: 10px;
  margin-left: -10px;
  margin-right: -10px;
  border: 1px solid #b5b0c6;
  border-bottom: 0;
  border-left: 0;
  border-right: 0;
}

/* main body container */
.main {
  height: auto;
  width: 80%;
  margin-left: 20px;
  text-align: center;
  overflow: scroll;
}

.top {
  min-height: 170px;
  width: auto;
  margin: 0;
  padding: 0;
  background-color: transparent;
  border: none;
  display: flex;
}

.icon {
	height: 150px;
	width: 150px;
	margin-top: -10px;
	margin-left: -10px;
	border-bottom: 1px solid #b5b0c6;
	border-right: 1px solid #b5b0c6;
	float: left;
}

.icon img {
	height: 100%;
	width: 100%;
	object-fit: cover;
}

.right {
  width: 80%;
  padding-left: 15px;
  background-color: transparent;
  text-align: left;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* footer */
footer {
  width: auto;
	margin-top: 20px;
	padding: 10px;
	background-color: #291534;
	border: 1px solid #b5b0c6;
	text-align: center;
}

/* text */
h1 {
  margin-top: 0;
  margin-bottom: 0;
	font-size: 24px;
}

p {
	margin-bottom: 0;
	margin-top: 0;
}

/* mobile optimization */
@media only screen and (min-device-width: 320px) and (max-device-width: 641px) {
  .header {
    font-size: medium;
    overflow: scroll;
  }
  
  .row {
    display: flex;
    flex-wrap: wrap;
  }
  
  .navigation {
    width: 100%;
    margin-bottom: 20px;
  }
  
  .main {
    width: 100%;
    margin-left: 0;
  }
  
  .top {
    display: inline;
  }
  
  .icon {
    margin: auto;
    border: 1px solid white;
    float: none;
  }
  
  .right {
    width: auto;
    padding-left: 0;
    padding-top: 5px;
  }
  
  .right h1 {
    text-align: center;
  }
  
  footer {
    font-size: smaller;
  }
}